/* tamanio para dispositivos laptop */
@media screen and (max-width:1024px) {

    /* ENCABEZADO */
    .container .header nav li a {
        padding: 5px;
    }

    /* CONTENIDO background */
    .content .background-image {
        height: 520px;
    }

    /* CONTENIDO promocion */
    .content .promocion .img-descuento {
        width: 100px;
        right: 70px;
        bottom: 50px;
    }

    /* CONTENIDO seccion contamos con */
    .content .servicios .servicio .img {
        width: 250px;
    }

    /* CONTENIDO nosotros */
    .content .nosotros {
        height: 500px;
    }

    .content .nosotros>img {
        height: 100%;
    }

    /* CONTENIDO nuestros juegos */
    .content .nuestros-juegos .group .card .botones {
        gap: 10px;
    }

    .content .nuestros-juegos .group .card .botones a {
        padding: 10px;
    }
}

/* tamanio para dispositivo tablet */
@media screen and (max-width:768px) {

    /* ENCABEZADO */
    .container .header {
        position: relative;
        z-index: 10;
    }

    .container .header #hamburger {
        width: 30px;
        height: 30px;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
    }

    .container .header #hamburger:hover,
    .container .header #hamburger:focus {
        background-color: var(--secundary400);
    }

    .container .header #hamburger div {
        background-color: var(--secundary50);
        height: 3px;
        width: 100%;
    }

    .container .header .logo {
        width: 40px;
        height: 40px;
    }

    .container .header nav {
        width: 100%;
        background-color: var(--secundary400);
        position: absolute;
        top: -550px;
        left: 0;
        z-index: 1;
        transition: 0.3s;
    }

    .container .header nav ul {
        flex-direction: column;
        width: 100%;
        padding: 10px 20px;
    }

    .container .header nav li {
        text-align: center;
    }

    .container .header nav li a {
        display: inline-block;
        width: 100%;
        transition: 0.3s;
    }

    .container .header nav li a:hover,
    .container .header nav li a:focus {
        border: none;
        background-color: var(--secundary500);
    }

    /* CONTENIDO contamos con */
    .content .servicios .servicio .img {
        width: 200px;
        height: 170px;
    }

    /* CONTENIDO seccion nuestros juegos */
    .content .juegos .group-1 .galery .fondo,
    .content .juegos .group-1 .galery .imagenes {
        width: 250px;
        height: 200px;
    }

    /* CONTENIDO nosostros */
    .content .nosotros {
        height: 500px;
    }

    .content .nosotros img {
        height: 100%;
    }

    /* CONTENIDO nuestros juegos */
    .content .nuestros-juegos {
        grid-template-columns: repeat(8, 1fr);
    }

    .content .nuestros-juegos .group .card .botones a {
        padding: 10px 15px;
    }

    /* CONTENIDO reservar varios */
    .content .varios {
        grid-template-columns: repeat(8, 1fr);
        grid-template-rows: 1fr 1fr;
    }

    .content .varios .select {
        grid-row: 2/3;
        position: relative;
    }

    .content .varios .select>a {
        position: absolute;
        bottom: 10px;
        left: 10px;
    }

    /* CONTENIDO reserva */
    .content .formReservacion form #etapa1 .bloque .input>ul {
        padding-left: 20px;
    }

    /* CONTENIDO page contacto */
    .content .refe-contacto {
        width: 90%;
        margin: 10px 0;
    }

    .content .refe-contacto .referencias .group-1 ul li>span {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

@media screen and (max-width:680px) {

    /* CONTENIDO page contacto */
    .content .refe-contacto .group-contacto {
        display: flex;
        flex-direction: column-reverse;
        gap: 20px;
    }

    .content .refe-contacto .referencias {
        width: 100%;
        flex-direction: row;
    }

    .content .refe-contacto .referencias .group-2 {
        flex-direction: column;
    }

    .content .refe-contacto .formulario {
        width: 90%;
        margin: 10px auto;
    }
}

@media screen and (max-width:600px) {

    /* CONTENIDO seccion promocion */
    .content .promocion .img-descuento {
        right: 50px;
        bottom: 40px;
    }

    /* CONTENIDO seccion contamos con */
    .content .servicios .group-1 {
        width: 90%;
    }

    .content .servicios .group-1 .servicio {
        width: 45%;
    }

    .content .servicios .servicio>span {
        text-align: center;
    }

    /* CONTENIDO seccion nuestros juegos */
    .content .juegos .group-1 {
        flex-direction: column;
        gap: 20px;
    }

    .content .juegos .group-1 .galery {
        display: flex;
        justify-content: center;
    }

    .content .juegos .group-1 .galery .imagenes {
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    /* CONTENIDO nuestros jeugos */
    .content .nuestros-juegos {
        column-gap: 30px;
    }

    .content .nuestros-juegos .group .card .img {
        height: 150px;
    }

    .content .nuestros-juegos .group .card .botones {
        flex-direction: column;
        gap: 10px;
    }

    /* CONTENIDO un juego */
    .content .one-game {
        display: flex;
        flex-direction: column-reverse;
        gap: 20px;
    }

    /* CONTENIDO reservar */
    .container .content .formReservacion #etapa1 {
        display: flex;
        flex-direction: column;
    }

    /* CONTENIDO page contact */
    .content .refe-contacto .group-contacto {
        width: 100%;
        flex-direction: column-reverse;
        margin: 0;
    }

    .content .refe-contacto .referencias {
        width: 100%;
        flex-direction: column;
    }

    .content .refe-contacto .referencias .group-2 {
        flex-direction: column;
    }

    .content .refe-contacto .formulario {
        width: 90%;
        margin: 10px auto;
    }
}

/* tamanio para dispositivos movilies */
@media screen and (max-width:425px) {

    /* Tamaño de letras para dispositivos celulares */
    .container .h1 {
        font-size: var(--h4-s);
    }

    .container .h2 {
        font-size: var(--h5-s);
    }

    .container .h3 {
        font-size: var(--h6-s);
    }

    .container .paragraph {
        font-size: var(--paragraph-s);
    }

    .container .small {
        font-size: var(--small-s);
    }

    /* VENTANA FLOTANTE */
    .container #flotante {
        right: 0;
    }

    /* ENCABEZADO */
    .container .header .header-index h1 {
        display: none;
    }

    /* GALERIA DE IMAGENES */
    .container .background-image {
        height: 250px;
    }

    .container .background-image .galery .btn {
        width: 30px;
        height: 30px;
    }

    .container .background-image .galery .btn img {
        width: 70%;
        height: 70%;
    }

    /* CONTENIDO DE PROMOCION */
    .content .promocion .img-promocion {
        width: 100px;
    }

    .content .promocion .info-promocion {
        display: block;
    }

    .content .promocion .img-descuento {
        right: 20px;
        bottom: 70px;
    }

    /* CONTENIDO contamos con */
    .content .servicios {
        padding-bottom: 40px;
        gap: 20px;
    }

    .content .servicios .group-1 {
        width: 80%;
        flex-direction: column;
        gap: 20px;
    }

    .content .servicios .group-2 {
        width: 80%;
    }

    .content .servicios .group-1 .servicio {
        width: 100%;
    }

    .content .servicios .servicio .img {
        width: 60%;
        height: 150px;
    }

    /* CONTENIDO nuestros juegos */
    .content .juegos {
        padding: 10px 20px 40px 20px;
    }

    .content .juegos .group-1 {
        flex-direction: column;
        gap: 20px;
    }

    .content .juegos .group-1 .galery {
        width: 80%;
        height: 250px;
    }

    .content .juegos .group-1 .galery .fondo,
    .content .juegos .group-1 .galery .imagenes {
        width: 100%;
        height: 100%;
    }

    .content .juegos .group-1 .informacion .boton {
        text-align: center;
    }

    /* SECCION CONTACTO */
    .content .referencias {
        padding: 10px 20px;
        flex-direction: column-reverse;
        gap: 10px;
    }

    .content .referencias .contactos li {
        margin-left: 10px;
    }

    .content .referencias .contactos li>span {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .content .referencias .group .logo {
        width: 100px;
        height: 100px;
    }

    /* CONTENIDO nosotros */
    .content .nosotros img {
        display: none;
    }

    .content .nosotros .info {
        width: 100%;
        position: relative;
        border-radius: 0;
        padding-bottom: 50px;
        top: 0;
        left: 0;
        transform: none;
    }

    .content .nosotros .info>br {
        display: none;
    }

    /* CONTENIDO page nuestros juegos */
    .content .nuestros-juegos {
        display: flex;
        flex-wrap: wrap;
        padding: 20px;
        padding-bottom: 100px;
    }

    .content .nuestros-juegos .group {
        padding: 10px 1px;
    }

    .content .nuestros-juegos .group .card {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: 1fr 1fr;
        padding-right: 10px;
    }

    .content .nuestros-juegos .group .card>a {
        grid-column: span 2;
        grid-row: span 2;
    }

    .content .nuestros-juegos .group .card .img {
        width: 70%;
        height: 100%;
    }

    .content .nuestros-juegos .group .card .title-card,
    .content .nuestros-juegos .group .card .botones {
        grid-column: span 2;
        flex-direction: initial;
    }

    .content .nuestros-juegos .group .card .title-card {
        padding: 5px 5px 10px;
    }

    .content .nuestros-juegos .group .card .botones {
        gap: 10px;
        justify-content: center;
    }

    .content .nuestros-juegos .group .card .botones a {
        padding: 10px;
    }

    /* CONTENIDO un juego */
    .content .one-game {
        display: flex;
        flex-direction: column-reverse;
        gap: 30px;
    }

    /* CONTENIDO reserva varios */
    .content .varios {
        display: flex;
        flex-direction: column;
        gap: 20px;
        padding: 10px;
    }

    .content .varios .visibilidad .input input[type="submit"] {
        width: 140px;
    }

    .content .varios .select>a {
        display: inline-block;
    }

    /* CONTENIDO reservar */
    .container .content .formReservacion #etapa1 {
        grid-template-columns: repeat(4, 1fr);
        gap: 0;
    }

    .content .formReservacion #etapa1 .bloque {
        grid-column: span 4;
    }

    /* CONTENIDO contacto page */
    .content .form-referencias {
        display: block;
    }

    .content .form-referencias .refe-contacto {
        width: 100%;
        margin: 0;
        flex-direction: column-reverse;
    }

    .content .form-referencias .refe-contacto .referencias,
    .content .form-referencias .refe-contacto .formulario {
        width: 100%;
        margin: 0;
    }

    .content .form-referencias .refe-contacto .referencias .group-1 li>span {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

@media screen and (max-width:375px) {
    .content .nuestros-juegos .group .card {
        padding: 0;
        display: flex;
    }
}

@media screen and (max-width:320px) {

    /* ENCABEZADO */
    .container .header {
        position: relative;
        z-index: 10;
    }

    .container .header #hamburger {
        width: 30px;
        height: 30px;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
    }

    .container .header #hamburger:hover,
    .container .header #hamburger:focus {
        background-color: var(--secundary400);
    }

    .container .header #hamburger div {
        background-color: var(--secundary50);
        height: 3px;
        width: 100%;
    }

    .container .header .logo {
        width: 40px;
        height: 40px;
    }

    .container .header .header-index h1 {
        display: none;
    }

    .container .header nav {
        width: 100%;
        background-color: var(--secundary400);
        position: absolute;
        top: -350px;
        left: 0;
        z-index: 1;
        transition: 0.3s;
    }

    .container .header nav ul {
        flex-direction: column;
        width: 100%;
        padding: 10px 20px;
    }

    .container .header nav li {
        text-align: center;
    }

    .container .header nav li a {
        display: inline-block;
        width: 100%;
        transition: 0.3s;
    }

    .container .header nav li a:hover,
    .container .header nav li a:focus {
        border: none;
        background-color: var(--secundary500);
    }

    /* VENTANA FLOTANTE */
    .container #flotante {
        right: 0;
    }

    /* GALERIA DE IMAGENES */
    .container .background-image {
        height: 250px;
    }

    .container .background-image .galery .btn {
        width: 30px;
        height: 30px;
    }

    .container .background-image .galery .btn img {
        width: 70%;
        height: 70%;
    }

    /* CONTENIDO DE PROMOCION */
    .content .promocion .img-promocion {
        width: 100px;
    }

    .content .promocion .info-promocion {
        display: block;
    }

    .content .promocion .img-descuento {
        right: 10px;
    }

    /* CONTENIDO contamos con */
    .content .servicios {
        padding-bottom: 40px;
        gap: 20px;
    }

    .content .servicios .group-1 {
        flex-direction: column;
        gap: 20px;
    }

    .content .servicios .servicio .img {
        width: 60%;
        height: 150px;
    }

    /* CONTENIDO nuestros juegos */
    .content .juegos {
        padding: 10px 20px 40px 20px;
    }

    .content .juegos .group-1 {
        flex-direction: column;
        gap: 20px;
    }

    .content .juegos .group-1 .galery .fondo {
        width: 100%;
        height: 200px;
    }

    .content .juegos .group-1 .galery .imagenes {
        width: 100%;
        height: 200px;
    }

    .content .juegos .group-1 .informacion .boton {
        text-align: center;
    }

    /* SECCION CONTACTO */
    .content .referencias {
        padding: 10px 20px;
        flex-direction: column-reverse;
        gap: 10px;
    }

    .content .referencias .contactos li {
        margin-left: 10px;
    }

    .content .referencias .contactos li>span {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .content .referencias .group .logo {
        width: 100px;
        height: 100px;
    }

    /* CONTENIDO nosotros */
    .content .nosotros img {
        display: none;
    }

    .content .nosotros .info {
        width: 100%;
        position: relative;
        border-radius: 0;
        padding-bottom: 30px;
        top: 0;
        left: 0;
        transform: none;
    }

    .content .nosotros .info>br {
        display: none;
    }

    /* CONTENIDO page nuestros juegos */
    .content .nuestros-juegos {
        display: flex;
        flex-wrap: wrap;
        padding: 20px;
        padding-bottom: 100px;
    }

    .content .nuestros-juegos .group .card .img {
        width: 70%;
        height: 100%;
    }

    .content .nuestros-juegos .group .card .title-card {
        padding: 5px 5px 10px;
    }

    .content .nuestros-juegos .group .card .botones a {
        padding: 10px;
    }

    /* CONTENIDO un juego */
    .content .one-game {
        display: flex;
        flex-direction: column-reverse;
        gap: 30px;
    }

    /* CONTENIDO reserva varios */
    .content .varios {
        display: flex;
        flex-direction: column;
        gap: 20px;
        padding: 10px;
    }

    .content .varios .visibilidad .input input[type="submit"] {
        width: 140px;
    }

    .content .varios .select>a {
        display: inline-block;
    }

    /* CONTENIDO reservar */
    .container .content .formReservacion #etapa1 {
        grid-template-columns: repeat(4, 1fr);
        gap: 0;
    }

    .content .formReservacion #etapa1 .bloque {
        grid-column: span 4;
    }

    /* CONTENIDO contacto page */
    .content .form-referencias {
        display: block;
    }

    .content .form-referencias .refe-contacto {
        width: 100%;
        margin: 0;
        flex-direction: column-reverse;
    }

    .content .form-referencias .refe-contacto .referencias,
    .content .form-referencias .refe-contacto .formulario {
        width: 100%;
    }

    .content .form-referencias .refe-contacto .referencias {
        flex-direction: column;
    }

    .content .form-referencias .refe-contacto .referencias .group-1 li>span {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

@media screen and (max-width:230px) {

    /* CONTENIDO promocion */
    .content .promocion .img-descuento {
        width: 90px;
        right: 30px;
        bottom: 40px;
    }

    /* CONTENIDO nuestros juegos */
    .content .nuestros-juegos .group .card .botones {
        flex-direction: column;
        gap: 10px;
    }

    .content .nuestros-juegos .group .card .botones a {
        padding: 5px 20px;
    }

    /* CONTENIDO reservar varios juegos */
    .content .varios .visibilidad form .group .tiempo {
        flex-direction: column;
    }
}